# since version 0.8.0 it can't be a noarch pkg anymore due to:
# check that the installed version has the same 32/64bit-ness as the one
# which is currently searching (see in websocketpp-configVersion.cmake)
%define debug_package %{nil}

Name:    websocketpp
Summary: C++ WebSocket Protocol Library
Version: 0.8.2
Release: %mkrel 1
Group:   Development/Other
License: BSD
Url:     https://www.zaphoyd.com/websocketpp
Source0: https://github.com/zaphoyd/websocketpp/archive/%{version}/%{name}-%{version}.tar.xz
Source1: websocketpp.pc

# Switch from ExactVersion to AnyNewerVersion to improve compatibility
# https://cmake.org/cmake/help/v3.0/module/CMakePackageConfigHelpers.html
# Fixes build failure of tomahawk, which uses "find_package(websocketpp 0.2.99 REQUIRED)"
# PR submitted upstream: https://github.com/zaphoyd/websocketpp/pull/740
Patch2: websocketpp-0.8.1-cmake-configversion-compatibility-anynewerversion.patch

BuildRequires:  boost-devel
BuildRequires:  cmake

%description
WebSocket++ is an open source (BSD license) header only C++ library
that impliments RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%package devel
Summary:  C++ WebSocket Protocol Library
Group: Development/Libraries
Requires: boost-devel

%description devel
WebSocket++ is an open source (BSD license) header only C++ library
that impliments RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%prep
%setup -q
%apply_patches


%build
%cmake -DINSTALL_CMAKE_DIR=%{_libdir}/cmake/websocketpp

%make_build


%install
%make_install -C build

%files devel
%doc changelog.md readme.md roadmap.md
%doc COPYING
%{_includedir}/websocketpp/
%{_libdir}/cmake/websocketpp/

%changelog
* Sun Sep 26 2021 tex - 0.8.2-1pclos2021
- new

* Sat Jun 01 2019 tex - 0.8.1-2pclos2019
- rebuild against updates

* Thu May 23 2018 tex 0.8.1-1pclos2019
- new
